import { OnlineMeeting } from '../../../models/';
import { AttendanceReportsRequestBuilder } from './attendanceReports/attendanceReportsRequestBuilder';
import { MeetingAttendanceReportItemRequestBuilder } from './attendanceReports/item/meetingAttendanceReportItemRequestBuilder';
import { AttendeeReportRequestBuilder } from './attendeeReport/attendeeReportRequestBuilder';
import { OnlineMeetingItemRequestBuilderGetQueryParameters } from './onlineMeetingItemRequestBuilderGetQueryParameters';
import { RequestAdapter, RequestInformation, RequestOption, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the onlineMeetings property of the microsoft.graph.cloudCommunications entity.  */
export declare class OnlineMeetingItemRequestBuilder {
    /** The attendanceReports property  */
    get attendanceReports(): AttendanceReportsRequestBuilder;
    /** The attendeeReport property  */
    get attendeeReport(): AttendeeReportRequestBuilder;
    /** Path parameters for the request  */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests.  */
    private readonly requestAdapter;
    /** Url template to use to build the URL for the current request builder  */
    private readonly urlTemplate;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.communications.onlineMeetings.item.attendanceReports.item collection
     * @param id Unique identifier of the item
     * @returns a meetingAttendanceReportItemRequestBuilder
     */
    attendanceReportsById(id: string): MeetingAttendanceReportItemRequestBuilder;
    /**
     * Instantiates a new OnlineMeetingItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property onlineMeetings for communications
     * @param headers Request headers
     * @param options Request options
     * @returns a RequestInformation
     */
    createDeleteRequestInformation(headers?: Record<string, string> | undefined, options?: RequestOption[] | undefined): RequestInformation;
    /**
     * Get onlineMeetings from communications
     * @param headers Request headers
     * @param options Request options
     * @param queryParameters Request query parameters
     * @returns a RequestInformation
     */
    createGetRequestInformation(queryParameters?: OnlineMeetingItemRequestBuilderGetQueryParameters | undefined, headers?: Record<string, string> | undefined, options?: RequestOption[] | undefined): RequestInformation;
    /**
     * Update the navigation property onlineMeetings in communications
     * @param body
     * @param headers Request headers
     * @param options Request options
     * @returns a RequestInformation
     */
    createPatchRequestInformation(body: OnlineMeeting | undefined, headers?: Record<string, string> | undefined, options?: RequestOption[] | undefined): RequestInformation;
    /**
     * Delete navigation property onlineMeetings for communications
     * @param headers Request headers
     * @param options Request options
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    delete(headers?: Record<string, string> | undefined, options?: RequestOption[] | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * Get onlineMeetings from communications
     * @param headers Request headers
     * @param options Request options
     * @param queryParameters Request query parameters
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of OnlineMeeting
     */
    get(queryParameters?: OnlineMeetingItemRequestBuilderGetQueryParameters | undefined, headers?: Record<string, string> | undefined, options?: RequestOption[] | undefined, responseHandler?: ResponseHandler | undefined): Promise<OnlineMeeting | undefined>;
    /**
     * Update the navigation property onlineMeetings in communications
     * @param body
     * @param headers Request headers
     * @param options Request options
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    patch(body: OnlineMeeting | undefined, headers?: Record<string, string> | undefined, options?: RequestOption[] | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
}
