import { ManagedDevice } from '../../../models/';
import { BypassActivationLockRequestBuilder } from './bypassActivationLock/bypassActivationLockRequestBuilder';
import { CleanWindowsDeviceRequestBuilder } from './cleanWindowsDevice/cleanWindowsDeviceRequestBuilder';
import { DeleteUserFromSharedAppleDeviceRequestBuilder } from './deleteUserFromSharedAppleDevice/deleteUserFromSharedAppleDeviceRequestBuilder';
import { DeviceCategoryRequestBuilder } from './deviceCategory/deviceCategoryRequestBuilder';
import { DeviceCompliancePolicyStatesRequestBuilder } from './deviceCompliancePolicyStates/deviceCompliancePolicyStatesRequestBuilder';
import { DeviceCompliancePolicyStateItemRequestBuilder } from './deviceCompliancePolicyStates/item/deviceCompliancePolicyStateItemRequestBuilder';
import { DeviceConfigurationStatesRequestBuilder } from './deviceConfigurationStates/deviceConfigurationStatesRequestBuilder';
import { DeviceConfigurationStateItemRequestBuilder } from './deviceConfigurationStates/item/deviceConfigurationStateItemRequestBuilder';
import { DisableLostModeRequestBuilder } from './disableLostMode/disableLostModeRequestBuilder';
import { LocateDeviceRequestBuilder } from './locateDevice/locateDeviceRequestBuilder';
import { LogoutSharedAppleDeviceActiveUserRequestBuilder } from './logoutSharedAppleDeviceActiveUser/logoutSharedAppleDeviceActiveUserRequestBuilder';
import { ManagedDeviceItemRequestBuilderGetQueryParameters } from './managedDeviceItemRequestBuilderGetQueryParameters';
import { RebootNowRequestBuilder } from './rebootNow/rebootNowRequestBuilder';
import { RecoverPasscodeRequestBuilder } from './recoverPasscode/recoverPasscodeRequestBuilder';
import { RemoteLockRequestBuilder } from './remoteLock/remoteLockRequestBuilder';
import { RequestRemoteAssistanceRequestBuilder } from './requestRemoteAssistance/requestRemoteAssistanceRequestBuilder';
import { ResetPasscodeRequestBuilder } from './resetPasscode/resetPasscodeRequestBuilder';
import { RetireRequestBuilder } from './retire/retireRequestBuilder';
import { ShutDownRequestBuilder } from './shutDown/shutDownRequestBuilder';
import { SyncDeviceRequestBuilder } from './syncDevice/syncDeviceRequestBuilder';
import { UpdateWindowsDeviceAccountRequestBuilder } from './updateWindowsDeviceAccount/updateWindowsDeviceAccountRequestBuilder';
import { WindowsDefenderScanRequestBuilder } from './windowsDefenderScan/windowsDefenderScanRequestBuilder';
import { WindowsDefenderUpdateSignaturesRequestBuilder } from './windowsDefenderUpdateSignatures/windowsDefenderUpdateSignaturesRequestBuilder';
import { WipeRequestBuilder } from './wipe/wipeRequestBuilder';
import { RequestAdapter, RequestInformation, RequestOption, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the managedDevices property of the microsoft.graph.deviceManagement entity.  */
export declare class ManagedDeviceItemRequestBuilder {
    /** The bypassActivationLock property  */
    get bypassActivationLock(): BypassActivationLockRequestBuilder;
    /** The cleanWindowsDevice property  */
    get cleanWindowsDevice(): CleanWindowsDeviceRequestBuilder;
    /** The deleteUserFromSharedAppleDevice property  */
    get deleteUserFromSharedAppleDevice(): DeleteUserFromSharedAppleDeviceRequestBuilder;
    /** The deviceCategory property  */
    get deviceCategory(): DeviceCategoryRequestBuilder;
    /** The deviceCompliancePolicyStates property  */
    get deviceCompliancePolicyStates(): DeviceCompliancePolicyStatesRequestBuilder;
    /** The deviceConfigurationStates property  */
    get deviceConfigurationStates(): DeviceConfigurationStatesRequestBuilder;
    /** The disableLostMode property  */
    get disableLostMode(): DisableLostModeRequestBuilder;
    /** The locateDevice property  */
    get locateDevice(): LocateDeviceRequestBuilder;
    /** The logoutSharedAppleDeviceActiveUser property  */
    get logoutSharedAppleDeviceActiveUser(): LogoutSharedAppleDeviceActiveUserRequestBuilder;
    /** Path parameters for the request  */
    private readonly pathParameters;
    /** The rebootNow property  */
    get rebootNow(): RebootNowRequestBuilder;
    /** The recoverPasscode property  */
    get recoverPasscode(): RecoverPasscodeRequestBuilder;
    /** The remoteLock property  */
    get remoteLock(): RemoteLockRequestBuilder;
    /** The request adapter to use to execute the requests.  */
    private readonly requestAdapter;
    /** The requestRemoteAssistance property  */
    get requestRemoteAssistance(): RequestRemoteAssistanceRequestBuilder;
    /** The resetPasscode property  */
    get resetPasscode(): ResetPasscodeRequestBuilder;
    /** The retire property  */
    get retire(): RetireRequestBuilder;
    /** The shutDown property  */
    get shutDown(): ShutDownRequestBuilder;
    /** The syncDevice property  */
    get syncDevice(): SyncDeviceRequestBuilder;
    /** The updateWindowsDeviceAccount property  */
    get updateWindowsDeviceAccount(): UpdateWindowsDeviceAccountRequestBuilder;
    /** Url template to use to build the URL for the current request builder  */
    private readonly urlTemplate;
    /** The windowsDefenderScan property  */
    get windowsDefenderScan(): WindowsDefenderScanRequestBuilder;
    /** The windowsDefenderUpdateSignatures property  */
    get windowsDefenderUpdateSignatures(): WindowsDefenderUpdateSignaturesRequestBuilder;
    /** The wipe property  */
    get wipe(): WipeRequestBuilder;
    /**
     * Instantiates a new ManagedDeviceItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property managedDevices for deviceManagement
     * @param headers Request headers
     * @param options Request options
     * @returns a RequestInformation
     */
    createDeleteRequestInformation(headers?: Record<string, string> | undefined, options?: RequestOption[] | undefined): RequestInformation;
    /**
     * The list of managed devices.
     * @param headers Request headers
     * @param options Request options
     * @param queryParameters Request query parameters
     * @returns a RequestInformation
     */
    createGetRequestInformation(queryParameters?: ManagedDeviceItemRequestBuilderGetQueryParameters | undefined, headers?: Record<string, string> | undefined, options?: RequestOption[] | undefined): RequestInformation;
    /**
     * Update the navigation property managedDevices in deviceManagement
     * @param body
     * @param headers Request headers
     * @param options Request options
     * @returns a RequestInformation
     */
    createPatchRequestInformation(body: ManagedDevice | undefined, headers?: Record<string, string> | undefined, options?: RequestOption[] | undefined): RequestInformation;
    /**
     * Delete navigation property managedDevices for deviceManagement
     * @param headers Request headers
     * @param options Request options
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    delete(headers?: Record<string, string> | undefined, options?: RequestOption[] | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.deviceManagement.managedDevices.item.deviceCompliancePolicyStates.item collection
     * @param id Unique identifier of the item
     * @returns a deviceCompliancePolicyStateItemRequestBuilder
     */
    deviceCompliancePolicyStatesById(id: string): DeviceCompliancePolicyStateItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.deviceManagement.managedDevices.item.deviceConfigurationStates.item collection
     * @param id Unique identifier of the item
     * @returns a deviceConfigurationStateItemRequestBuilder
     */
    deviceConfigurationStatesById(id: string): DeviceConfigurationStateItemRequestBuilder;
    /**
     * The list of managed devices.
     * @param headers Request headers
     * @param options Request options
     * @param queryParameters Request query parameters
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of ManagedDevice
     */
    get(queryParameters?: ManagedDeviceItemRequestBuilderGetQueryParameters | undefined, headers?: Record<string, string> | undefined, options?: RequestOption[] | undefined, responseHandler?: ResponseHandler | undefined): Promise<ManagedDevice | undefined>;
    /**
     * Update the navigation property managedDevices in deviceManagement
     * @param body
     * @param headers Request headers
     * @param options Request options
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    patch(body: ManagedDevice | undefined, headers?: Record<string, string> | undefined, options?: RequestOption[] | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
}
