import { EducationUser } from '../../../models/';
import { AssignmentsRequestBuilder } from './assignments/assignmentsRequestBuilder';
import { EducationAssignmentItemRequestBuilder } from './assignments/item/educationAssignmentItemRequestBuilder';
import { ClassesRequestBuilder } from './classes/classesRequestBuilder';
import { EducationClassItemRequestBuilder as ice1272692f4bc266210a2382c62791c1922a32cec5c73db5e3a5228fa1c8c029 } from './classes/item/educationClassItemRequestBuilder';
import { EducationUserItemRequestBuilderGetQueryParameters } from './educationUserItemRequestBuilderGetQueryParameters';
import { EducationRubricItemRequestBuilder } from './rubrics/item/educationRubricItemRequestBuilder';
import { RubricsRequestBuilder } from './rubrics/rubricsRequestBuilder';
import { EducationSchoolItemRequestBuilder } from './schools/item/educationSchoolItemRequestBuilder';
import { SchoolsRequestBuilder } from './schools/schoolsRequestBuilder';
import { EducationClassItemRequestBuilder as i2f7a14872a2bd0639c7556619e3a52dc0d62512adbf27d1b6c2d9f3254435dd0 } from './taughtClasses/item/educationClassItemRequestBuilder';
import { TaughtClassesRequestBuilder } from './taughtClasses/taughtClassesRequestBuilder';
import { UserRequestBuilder } from './user/userRequestBuilder';
import { RequestAdapter, RequestInformation, RequestOption, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the users property of the microsoft.graph.educationRoot entity.  */
export declare class EducationUserItemRequestBuilder {
    /** The assignments property  */
    get assignments(): AssignmentsRequestBuilder;
    /** The classes property  */
    get classes(): ClassesRequestBuilder;
    /** Path parameters for the request  */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests.  */
    private readonly requestAdapter;
    /** The rubrics property  */
    get rubrics(): RubricsRequestBuilder;
    /** The schools property  */
    get schools(): SchoolsRequestBuilder;
    /** The taughtClasses property  */
    get taughtClasses(): TaughtClassesRequestBuilder;
    /** Url template to use to build the URL for the current request builder  */
    private readonly urlTemplate;
    /** The user property  */
    get user(): UserRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.education.users.item.assignments.item collection
     * @param id Unique identifier of the item
     * @returns a educationAssignmentItemRequestBuilder
     */
    assignmentsById(id: string): EducationAssignmentItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.education.users.item.classes.item collection
     * @param id Unique identifier of the item
     * @returns a educationClassItemRequestBuilder
     */
    classesById(id: string): ice1272692f4bc266210a2382c62791c1922a32cec5c73db5e3a5228fa1c8c029;
    /**
     * Instantiates a new EducationUserItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property users for education
     * @param headers Request headers
     * @param options Request options
     * @returns a RequestInformation
     */
    createDeleteRequestInformation(headers?: Record<string, string> | undefined, options?: RequestOption[] | undefined): RequestInformation;
    /**
     * Get users from education
     * @param headers Request headers
     * @param options Request options
     * @param queryParameters Request query parameters
     * @returns a RequestInformation
     */
    createGetRequestInformation(queryParameters?: EducationUserItemRequestBuilderGetQueryParameters | undefined, headers?: Record<string, string> | undefined, options?: RequestOption[] | undefined): RequestInformation;
    /**
     * Update the navigation property users in education
     * @param body
     * @param headers Request headers
     * @param options Request options
     * @returns a RequestInformation
     */
    createPatchRequestInformation(body: EducationUser | undefined, headers?: Record<string, string> | undefined, options?: RequestOption[] | undefined): RequestInformation;
    /**
     * Delete navigation property users for education
     * @param headers Request headers
     * @param options Request options
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    delete(headers?: Record<string, string> | undefined, options?: RequestOption[] | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * Get users from education
     * @param headers Request headers
     * @param options Request options
     * @param queryParameters Request query parameters
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of EducationUser
     */
    get(queryParameters?: EducationUserItemRequestBuilderGetQueryParameters | undefined, headers?: Record<string, string> | undefined, options?: RequestOption[] | undefined, responseHandler?: ResponseHandler | undefined): Promise<EducationUser | undefined>;
    /**
     * Update the navigation property users in education
     * @param body
     * @param headers Request headers
     * @param options Request options
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    patch(body: EducationUser | undefined, headers?: Record<string, string> | undefined, options?: RequestOption[] | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.education.users.item.rubrics.item collection
     * @param id Unique identifier of the item
     * @returns a educationRubricItemRequestBuilder
     */
    rubricsById(id: string): EducationRubricItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.education.users.item.schools.item collection
     * @param id Unique identifier of the item
     * @returns a educationSchoolItemRequestBuilder
     */
    schoolsById(id: string): EducationSchoolItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.education.users.item.taughtClasses.item collection
     * @param id Unique identifier of the item
     * @returns a educationClassItemRequestBuilder
     */
    taughtClassesById(id: string): i2f7a14872a2bd0639c7556619e3a52dc0d62512adbf27d1b6c2d9f3254435dd0;
}
