import { Set } from '../../../../../../../../models/termStore/';
import { ChildrenRequestBuilder } from './children/childrenRequestBuilder';
import { TermItemRequestBuilder as icafd56b4d87c656cd539970a1e4cad0833fcd2378b90b327afa2e3488fb75210 } from './children/item/termItemRequestBuilder';
import { ParentGroupRequestBuilder } from './parentGroup/parentGroupRequestBuilder';
import { RelationItemRequestBuilder } from './relations/item/relationItemRequestBuilder';
import { RelationsRequestBuilder } from './relations/relationsRequestBuilder';
import { SetItemRequestBuilderGetQueryParameters } from './setItemRequestBuilderGetQueryParameters';
import { TermItemRequestBuilder as ife61d5f1fd5e9d665672df7be786aae1934866ded841cc4c51c9a17a8fad2cc3 } from './terms/item/termItemRequestBuilder';
import { TermsRequestBuilder } from './terms/termsRequestBuilder';
import { RequestAdapter, RequestInformation, RequestOption, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the sets property of the microsoft.graph.termStore.store entity.  */
export declare class SetItemRequestBuilder {
    /** The children property  */
    get children(): ChildrenRequestBuilder;
    /** The parentGroup property  */
    get parentGroup(): ParentGroupRequestBuilder;
    /** Path parameters for the request  */
    private readonly pathParameters;
    /** The relations property  */
    get relations(): RelationsRequestBuilder;
    /** The request adapter to use to execute the requests.  */
    private readonly requestAdapter;
    /** The terms property  */
    get terms(): TermsRequestBuilder;
    /** Url template to use to build the URL for the current request builder  */
    private readonly urlTemplate;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groups.item.sites.item.termStores.item.sets.item.children.item collection
     * @param id Unique identifier of the item
     * @returns a termItemRequestBuilder
     */
    childrenById(id: string): icafd56b4d87c656cd539970a1e4cad0833fcd2378b90b327afa2e3488fb75210;
    /**
     * Instantiates a new SetItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property sets for groups
     * @param headers Request headers
     * @param options Request options
     * @returns a RequestInformation
     */
    createDeleteRequestInformation(headers?: Record<string, string> | undefined, options?: RequestOption[] | undefined): RequestInformation;
    /**
     * Collection of all sets available in the term store.
     * @param headers Request headers
     * @param options Request options
     * @param queryParameters Request query parameters
     * @returns a RequestInformation
     */
    createGetRequestInformation(queryParameters?: SetItemRequestBuilderGetQueryParameters | undefined, headers?: Record<string, string> | undefined, options?: RequestOption[] | undefined): RequestInformation;
    /**
     * Update the navigation property sets in groups
     * @param body
     * @param headers Request headers
     * @param options Request options
     * @returns a RequestInformation
     */
    createPatchRequestInformation(body: Set | undefined, headers?: Record<string, string> | undefined, options?: RequestOption[] | undefined): RequestInformation;
    /**
     * Delete navigation property sets for groups
     * @param headers Request headers
     * @param options Request options
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    delete(headers?: Record<string, string> | undefined, options?: RequestOption[] | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * Collection of all sets available in the term store.
     * @param headers Request headers
     * @param options Request options
     * @param queryParameters Request query parameters
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of Set
     */
    get(queryParameters?: SetItemRequestBuilderGetQueryParameters | undefined, headers?: Record<string, string> | undefined, options?: RequestOption[] | undefined, responseHandler?: ResponseHandler | undefined): Promise<Set | undefined>;
    /**
     * Update the navigation property sets in groups
     * @param body
     * @param headers Request headers
     * @param options Request options
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    patch(body: Set | undefined, headers?: Record<string, string> | undefined, options?: RequestOption[] | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groups.item.sites.item.termStores.item.sets.item.relations.item collection
     * @param id Unique identifier of the item
     * @returns a relationItemRequestBuilder
     */
    relationsById(id: string): RelationItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groups.item.sites.item.termStores.item.sets.item.terms.item collection
     * @param id Unique identifier of the item
     * @returns a termItemRequestBuilder
     */
    termsById(id: string): ife61d5f1fd5e9d665672df7be786aae1934866ded841cc4c51c9a17a8fad2cc3;
}
