"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InstancesRequestBuilderGetQueryParameters = void 0;
/** If the accessReviewScheduleDefinition is a recurring access review, instances represent each recurrence. A review that does not recur will have exactly one instance. Instances also represent each unique resource under review in the accessReviewScheduleDefinition. If a review has multiple resources and multiple instances, each resource will have a unique instance for each recurrence.  */
class InstancesRequestBuilderGetQueryParameters {
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName) {
        if (!originalName)
            throw new Error("originalName cannot be undefined");
        switch (originalName) {
            case "count": return "%24count";
            case "expand": return "%24expand";
            case "filter": return "%24filter";
            case "orderby": return "%24orderby";
            case "search": return "%24search";
            case "select": return "%24select";
            case "skip": return "%24skip";
            case "top": return "%24top";
            default: return originalName;
        }
    }
    ;
}
exports.InstancesRequestBuilderGetQueryParameters = InstancesRequestBuilderGetQueryParameters;
