"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SharedInsightItemRequestBuilderGetQueryParameters = void 0;
/** Calculated relationship identifying documents shared with or by the user. This includes URLs, file attachments, and reference attachments to OneDrive for Business and SharePoint files found in Outlook messages and meetings. This also includes URLs and reference attachments to Teams conversations. Ordered by recency of share.  */
class SharedInsightItemRequestBuilderGetQueryParameters {
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName) {
        if (!originalName)
            throw new Error("originalName cannot be undefined");
        switch (originalName) {
            case "expand": return "%24expand";
            case "select": return "%24select";
            default: return originalName;
        }
    }
    ;
}
exports.SharedInsightItemRequestBuilderGetQueryParameters = SharedInsightItemRequestBuilderGetQueryParameters;
