import { PlannerTask } from '../../../../../../models/';
import { AssignedToTaskBoardFormatRequestBuilder } from './assignedToTaskBoardFormat/assignedToTaskBoardFormatRequestBuilder';
import { BucketTaskBoardFormatRequestBuilder } from './bucketTaskBoardFormat/bucketTaskBoardFormatRequestBuilder';
import { DetailsRequestBuilder } from './details/detailsRequestBuilder';
import { PlannerTaskItemRequestBuilderGetQueryParameters } from './plannerTaskItemRequestBuilderGetQueryParameters';
import { ProgressTaskBoardFormatRequestBuilder } from './progressTaskBoardFormat/progressTaskBoardFormatRequestBuilder';
import { RequestAdapter, RequestInformation, RequestOption, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the tasks property of the microsoft.graph.plannerPlan entity.  */
export declare class PlannerTaskItemRequestBuilder {
    /** The assignedToTaskBoardFormat property  */
    get assignedToTaskBoardFormat(): AssignedToTaskBoardFormatRequestBuilder;
    /** The bucketTaskBoardFormat property  */
    get bucketTaskBoardFormat(): BucketTaskBoardFormatRequestBuilder;
    /** The details property  */
    get details(): DetailsRequestBuilder;
    /** Path parameters for the request  */
    private readonly pathParameters;
    /** The progressTaskBoardFormat property  */
    get progressTaskBoardFormat(): ProgressTaskBoardFormatRequestBuilder;
    /** The request adapter to use to execute the requests.  */
    private readonly requestAdapter;
    /** Url template to use to build the URL for the current request builder  */
    private readonly urlTemplate;
    /**
     * Instantiates a new PlannerTaskItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property tasks for me
     * @param headers Request headers
     * @param options Request options
     * @returns a RequestInformation
     */
    createDeleteRequestInformation(headers?: Record<string, string> | undefined, options?: RequestOption[] | undefined): RequestInformation;
    /**
     * Read-only. Nullable. Collection of tasks in the plan.
     * @param headers Request headers
     * @param options Request options
     * @param queryParameters Request query parameters
     * @returns a RequestInformation
     */
    createGetRequestInformation(queryParameters?: PlannerTaskItemRequestBuilderGetQueryParameters | undefined, headers?: Record<string, string> | undefined, options?: RequestOption[] | undefined): RequestInformation;
    /**
     * Update the navigation property tasks in me
     * @param body
     * @param headers Request headers
     * @param options Request options
     * @returns a RequestInformation
     */
    createPatchRequestInformation(body: PlannerTask | undefined, headers?: Record<string, string> | undefined, options?: RequestOption[] | undefined): RequestInformation;
    /**
     * Delete navigation property tasks for me
     * @param headers Request headers
     * @param options Request options
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    delete(headers?: Record<string, string> | undefined, options?: RequestOption[] | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * Read-only. Nullable. Collection of tasks in the plan.
     * @param headers Request headers
     * @param options Request options
     * @param queryParameters Request query parameters
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of PlannerTask
     */
    get(queryParameters?: PlannerTaskItemRequestBuilderGetQueryParameters | undefined, headers?: Record<string, string> | undefined, options?: RequestOption[] | undefined, responseHandler?: ResponseHandler | undefined): Promise<PlannerTask | undefined>;
    /**
     * Update the navigation property tasks in me
     * @param body
     * @param headers Request headers
     * @param options Request options
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    patch(body: PlannerTask | undefined, headers?: Record<string, string> | undefined, options?: RequestOption[] | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
}
