import { HomeRealmDiscoveryPolicy, HomeRealmDiscoveryPolicyCollectionResponse } from '../../models/';
import { CountRequestBuilder } from './count/countRequestBuilder';
import { HomeRealmDiscoveryPoliciesRequestBuilderGetQueryParameters } from './homeRealmDiscoveryPoliciesRequestBuilderGetQueryParameters';
import { RequestAdapter, RequestInformation, RequestOption, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the homeRealmDiscoveryPolicies property of the microsoft.graph.policyRoot entity.  */
export declare class HomeRealmDiscoveryPoliciesRequestBuilder {
    /** The count property  */
    get count(): CountRequestBuilder;
    /** Path parameters for the request  */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests.  */
    private readonly requestAdapter;
    /** Url template to use to build the URL for the current request builder  */
    private readonly urlTemplate;
    /**
     * Instantiates a new HomeRealmDiscoveryPoliciesRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * The policy to control Azure AD authentication behavior for federated users.
     * @param headers Request headers
     * @param options Request options
     * @param queryParameters Request query parameters
     * @returns a RequestInformation
     */
    createGetRequestInformation(queryParameters?: HomeRealmDiscoveryPoliciesRequestBuilderGetQueryParameters | undefined, headers?: Record<string, string> | undefined, options?: RequestOption[] | undefined): RequestInformation;
    /**
     * Create new navigation property to homeRealmDiscoveryPolicies for policies
     * @param body
     * @param headers Request headers
     * @param options Request options
     * @returns a RequestInformation
     */
    createPostRequestInformation(body: HomeRealmDiscoveryPolicy | undefined, headers?: Record<string, string> | undefined, options?: RequestOption[] | undefined): RequestInformation;
    /**
     * The policy to control Azure AD authentication behavior for federated users.
     * @param headers Request headers
     * @param options Request options
     * @param queryParameters Request query parameters
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of HomeRealmDiscoveryPolicyCollectionResponse
     */
    get(queryParameters?: HomeRealmDiscoveryPoliciesRequestBuilderGetQueryParameters | undefined, headers?: Record<string, string> | undefined, options?: RequestOption[] | undefined, responseHandler?: ResponseHandler | undefined): Promise<HomeRealmDiscoveryPolicyCollectionResponse | undefined>;
    /**
     * Create new navigation property to homeRealmDiscoveryPolicies for policies
     * @param body
     * @param headers Request headers
     * @param options Request options
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of HomeRealmDiscoveryPolicy
     */
    post(body: HomeRealmDiscoveryPolicy | undefined, headers?: Record<string, string> | undefined, options?: RequestOption[] | undefined, responseHandler?: ResponseHandler | undefined): Promise<HomeRealmDiscoveryPolicy | undefined>;
}
