"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetTeamsDeviceUsageUserCountsWithPeriodRequestBuilder = void 0;
const createGetTeamsDeviceUsageUserCountsWithPeriodResponseFromDiscriminatorValue_1 = require("./createGetTeamsDeviceUsageUserCountsWithPeriodResponseFromDiscriminatorValue");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
/** Provides operations to call the getTeamsDeviceUsageUserCounts method.  */
class GetTeamsDeviceUsageUserCountsWithPeriodRequestBuilder {
    /**
     * Instantiates a new GetTeamsDeviceUsageUserCountsWithPeriodRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param period Usage: period='{period}'
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter, period) {
        if (!pathParameters)
            throw new Error("pathParameters cannot be undefined");
        if (!requestAdapter)
            throw new Error("requestAdapter cannot be undefined");
        this.urlTemplate = "{+baseurl}/reports/microsoft.graph.getTeamsDeviceUsageUserCounts(period='{period}')";
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(pathParameters);
        urlTplParams[""] = period;
        this.pathParameters = urlTplParams;
        this.requestAdapter = requestAdapter;
    }
    ;
    /**
     * Invoke function getTeamsDeviceUsageUserCounts
     * @param headers Request headers
     * @param options Request options
     * @returns a RequestInformation
     */
    createGetRequestInformation(headers, options) {
        const requestInfo = new kiota_abstractions_1.RequestInformation();
        requestInfo.urlTemplate = this.urlTemplate;
        requestInfo.pathParameters = this.pathParameters;
        requestInfo.httpMethod = kiota_abstractions_1.HttpMethod.GET;
        if (headers)
            requestInfo.headers = headers;
        options && requestInfo.addRequestOptions(...options);
        return requestInfo;
    }
    ;
    /**
     * Invoke function getTeamsDeviceUsageUserCounts
     * @param headers Request headers
     * @param options Request options
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of GetTeamsDeviceUsageUserCountsWithPeriodResponse
     */
    get(headers, options, responseHandler) {
        var _a, _b;
        const requestInfo = this.createGetRequestInformation(headers, options);
        return (_b = (_a = this.requestAdapter) === null || _a === void 0 ? void 0 : _a.sendAsync(requestInfo, createGetTeamsDeviceUsageUserCountsWithPeriodResponseFromDiscriminatorValue_1.createGetTeamsDeviceUsageUserCountsWithPeriodResponseFromDiscriminatorValue, responseHandler, undefined)) !== null && _b !== void 0 ? _b : Promise.reject(new Error('http core is null'));
    }
    ;
}
exports.GetTeamsDeviceUsageUserCountsWithPeriodRequestBuilder = GetTeamsDeviceUsageUserCountsWithPeriodRequestBuilder;
