import { UnifiedRoleEligibilityScheduleRequest } from '../../../../models/';
import { AppScopeRequestBuilder } from './appScope/appScopeRequestBuilder';
import { CancelRequestBuilder } from './cancel/cancelRequestBuilder';
import { DirectoryScopeRequestBuilder } from './directoryScope/directoryScopeRequestBuilder';
import { PrincipalRequestBuilder } from './principal/principalRequestBuilder';
import { RoleDefinitionRequestBuilder } from './roleDefinition/roleDefinitionRequestBuilder';
import { TargetScheduleRequestBuilder } from './targetSchedule/targetScheduleRequestBuilder';
import { UnifiedRoleEligibilityScheduleRequestItemRequestBuilderGetQueryParameters } from './unifiedRoleEligibilityScheduleRequestItemRequestBuilderGetQueryParameters';
import { RequestAdapter, RequestInformation, RequestOption, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the roleEligibilityScheduleRequests property of the microsoft.graph.rbacApplication entity.  */
export declare class UnifiedRoleEligibilityScheduleRequestItemRequestBuilder {
    /** The appScope property  */
    get appScope(): AppScopeRequestBuilder;
    /** The cancel property  */
    get cancel(): CancelRequestBuilder;
    /** The directoryScope property  */
    get directoryScope(): DirectoryScopeRequestBuilder;
    /** Path parameters for the request  */
    private readonly pathParameters;
    /** The principal property  */
    get principal(): PrincipalRequestBuilder;
    /** The request adapter to use to execute the requests.  */
    private readonly requestAdapter;
    /** The roleDefinition property  */
    get roleDefinition(): RoleDefinitionRequestBuilder;
    /** The targetSchedule property  */
    get targetSchedule(): TargetScheduleRequestBuilder;
    /** Url template to use to build the URL for the current request builder  */
    private readonly urlTemplate;
    /**
     * Instantiates a new UnifiedRoleEligibilityScheduleRequestItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property roleEligibilityScheduleRequests for roleManagement
     * @param headers Request headers
     * @param options Request options
     * @returns a RequestInformation
     */
    createDeleteRequestInformation(headers?: Record<string, string> | undefined, options?: RequestOption[] | undefined): RequestInformation;
    /**
     * Get roleEligibilityScheduleRequests from roleManagement
     * @param headers Request headers
     * @param options Request options
     * @param queryParameters Request query parameters
     * @returns a RequestInformation
     */
    createGetRequestInformation(queryParameters?: UnifiedRoleEligibilityScheduleRequestItemRequestBuilderGetQueryParameters | undefined, headers?: Record<string, string> | undefined, options?: RequestOption[] | undefined): RequestInformation;
    /**
     * Update the navigation property roleEligibilityScheduleRequests in roleManagement
     * @param body
     * @param headers Request headers
     * @param options Request options
     * @returns a RequestInformation
     */
    createPatchRequestInformation(body: UnifiedRoleEligibilityScheduleRequest | undefined, headers?: Record<string, string> | undefined, options?: RequestOption[] | undefined): RequestInformation;
    /**
     * Delete navigation property roleEligibilityScheduleRequests for roleManagement
     * @param headers Request headers
     * @param options Request options
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    delete(headers?: Record<string, string> | undefined, options?: RequestOption[] | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * Get roleEligibilityScheduleRequests from roleManagement
     * @param headers Request headers
     * @param options Request options
     * @param queryParameters Request query parameters
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of UnifiedRoleEligibilityScheduleRequest
     */
    get(queryParameters?: UnifiedRoleEligibilityScheduleRequestItemRequestBuilderGetQueryParameters | undefined, headers?: Record<string, string> | undefined, options?: RequestOption[] | undefined, responseHandler?: ResponseHandler | undefined): Promise<UnifiedRoleEligibilityScheduleRequest | undefined>;
    /**
     * Update the navigation property roleEligibilityScheduleRequests in roleManagement
     * @param body
     * @param headers Request headers
     * @param options Request options
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    patch(body: UnifiedRoleEligibilityScheduleRequest | undefined, headers?: Record<string, string> | undefined, options?: RequestOption[] | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
}
