import { ContentType, ContentTypeCollectionResponse } from '../../../../models/';
import { AddCopyRequestBuilder } from './addCopy/addCopyRequestBuilder';
import { AddCopyFromContentTypeHubRequestBuilder } from './addCopyFromContentTypeHub/addCopyFromContentTypeHubRequestBuilder';
import { ContentTypesRequestBuilderGetQueryParameters } from './contentTypesRequestBuilderGetQueryParameters';
import { CountRequestBuilder } from './count/countRequestBuilder';
import { GetCompatibleHubContentTypesRequestBuilder } from './getCompatibleHubContentTypes/getCompatibleHubContentTypesRequestBuilder';
import { RequestAdapter, RequestInformation, RequestOption, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the contentTypes property of the microsoft.graph.list entity.  */
export declare class ContentTypesRequestBuilder {
    /** The addCopy property  */
    get addCopy(): AddCopyRequestBuilder;
    /** The addCopyFromContentTypeHub property  */
    get addCopyFromContentTypeHub(): AddCopyFromContentTypeHubRequestBuilder;
    /** The count property  */
    get count(): CountRequestBuilder;
    /** Path parameters for the request  */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests.  */
    private readonly requestAdapter;
    /** Url template to use to build the URL for the current request builder  */
    private readonly urlTemplate;
    /**
     * Instantiates a new ContentTypesRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * The collection of content types present in this list.
     * @param headers Request headers
     * @param options Request options
     * @param queryParameters Request query parameters
     * @returns a RequestInformation
     */
    createGetRequestInformation(queryParameters?: ContentTypesRequestBuilderGetQueryParameters | undefined, headers?: Record<string, string> | undefined, options?: RequestOption[] | undefined): RequestInformation;
    /**
     * Create new navigation property to contentTypes for shares
     * @param body
     * @param headers Request headers
     * @param options Request options
     * @returns a RequestInformation
     */
    createPostRequestInformation(body: ContentType | undefined, headers?: Record<string, string> | undefined, options?: RequestOption[] | undefined): RequestInformation;
    /**
     * The collection of content types present in this list.
     * @param headers Request headers
     * @param options Request options
     * @param queryParameters Request query parameters
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of ContentTypeCollectionResponse
     */
    get(queryParameters?: ContentTypesRequestBuilderGetQueryParameters | undefined, headers?: Record<string, string> | undefined, options?: RequestOption[] | undefined, responseHandler?: ResponseHandler | undefined): Promise<ContentTypeCollectionResponse | undefined>;
    /**
     * Provides operations to call the getCompatibleHubContentTypes method.
     * @returns a getCompatibleHubContentTypesRequestBuilder
     */
    getCompatibleHubContentTypes(): GetCompatibleHubContentTypesRequestBuilder;
    /**
     * Create new navigation property to contentTypes for shares
     * @param body
     * @param headers Request headers
     * @param options Request options
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of ContentType
     */
    post(body: ContentType | undefined, headers?: Record<string, string> | undefined, options?: RequestOption[] | undefined, responseHandler?: ResponseHandler | undefined): Promise<ContentType | undefined>;
}
